> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of Electric fuses > Operation is used to get a list of Electric fuses. Available from product version 3.2.2. Electric Fuses list can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /el_fuses/ { "openapi": "3.0.4", "info": { "title": "KeyLight REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Electric Premises", "description": "Electric Premises related operations." }, { "name": "Electric Fuse", "description": "Fuse related operations." }, { "name": "Electric Splice", "description": "Electric Splice related operations." }, { "name": "Electric Manhole", "description": "Electric Manhole related operations." }, { "name": "Electric Point Object", "description": "Other electric point objects related operations." }, { "name": "Electric Pole", "description": "Electric Pole related operations." }, { "name": "Streetlight", "description": "Streetlight related operations." }, { "name": "Traffic Signal", "description": "Traffic signal related operations." }, { "name": "Electric Cable", "description": "Electric Cable related operations." }, { "name": "Electric Cable Connection", "description": "Operations related to connecting Electric Cables and Electric endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Conduit", "description": "Electric Conduit related operations." }, { "name": "Electric Conduit Link", "description": "Operations related to putting Electric Cables and Ducts into Conduits." }, { "name": "Electric Conduit Connection", "description": "Operations related to connecting Conduits and endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Duct", "description": "Electric Duct related operations." }, { "name": "Electric Duct Link", "description": "Operations related to putting Electric Cables into Ducts." }, { "name": "Electric Routefollower", "description": "Electric Routefollower related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/el_fuses/": { "get": { "tags": [ "Electric Fuse" ], "summary": "Get list of Electric fuses", "description": "Operation is used to get a list of Electric fuses. Available from product version 3.2.2.\n\nElectric Fuses list can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getElFuses", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/filterParam" }, { "$ref": "#/components/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of Electric fuses. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of Electric fuses. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/ElFuse" }, "description": "A list of fetched Electric fuses." }, "Total": { "type": "integer", "description": "Total number of Electric fuses" } } }, "example": { "Next": null, "Previous": null, "Results": [ { "connection": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_BUS_CONNECTION", "id": 298810, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_BUS_CONNECTION/", "logical_txt": "Sulakkeet", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Fuses" }, "description": "joop", "fuse": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_FUSE", "id": 299330, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_FUSE/", "logical_txt": "125", "txt": "125" }, "id": 11, "identification": "654", "premise": { "address": "https://keylight.example.com/api/v1/apartments/7305724", "capacity": 10, "connection": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_CONNECTION", "id": 302790, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_CONNECTION/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "contractor": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_CONTRACTOR", "id": 302810, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_CONTRACTOR/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "creation_date": "2018-02-20T14:35:33", "creator": "api@keypro.fi", "deployment_date": "2018-02-04", "ground": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_GROUND", "id": 302850, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_GROUND/", "logical_txt": "Vaaka Cu 16", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Vaaka Cu 16" }, "group_fuse": [ "https://keylight.example.com/api/v2/el_fuse/1/", "https://keylight.example.com/api/v2/el_fuse/11/" ], "guidance_address": "1", "guiding_type": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_GUIDING_TYPE", "id": 302890, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_GUIDING_TYPE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "height_accuracy": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "H_ACCURACY", "id": 117250, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "10 cm", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "10 cm" }, "id": 1201, "identification": "125", "installation_date": "2018-02-21", "installation_location": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "PREM_PLACEMENT", "id": 5401, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/PREM_PLACEMENT/", "logical_txt": "Kaappi", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Cabinet" }, "installation_year": 2019, "location": "SRID=3067;POINT Z (499139.6836480000056326 6705710.6719800001010299 0.0000000000000000)", "location_accuracy": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "LOCATION_ACCURACY", "id": 7981, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "1.0m" }, "main_fuse": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_FUSE", "id": 302830, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_FUSE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "manufacturer": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_MANUFACT", "id": 302910, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_MANUFACT/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "mapper": "Tester", "mapping_date": "2019-02-14", "mapping_method": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "MAPPING_METHOD", "id": 190, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Takymetri", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Tachymeter" }, "network_area": { "area_name": "Default EA", "division_name": "Default Division", "id": 1, "list_url": "https://keylight.example.com/api/v2/el_division/", "location": null }, "owner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "PREM_OWNER", "id": 287990, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/PREM_OWNER/", "logical_txt": "Keypro", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Keypro" }, "plan": null, "remarks": "kommentti", "renter": null, "shade": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_SHADE", "id": 302930, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_SHADE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "supplier": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_SUPPLIER", "id": 302950, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_SUPPLIER/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "surface": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_SURFACE", "id": 302970, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_SURFACE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "survey_amount": "", "type": { "cost": null, "id": 11, "list_url": "https://keylight.example.com/api/v2/el_premisetype/", "manufacturer": "Tuntematon", "prem_type": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_TYPE", "id": 303010, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_TYPE/", "logical_txt": "Liikennevalokaappi", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Streetlight premise" }, "product_code": "Tuntematon", "type": "" }, "update_date": "2019-02-14T16:33:18", "updated_by": "api@keypro.fi", "usage_state": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "PREM_STATE", "id": 14601, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/PREM_STATE/", "logical_txt": "Käytössä", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "In use" } }, "switch": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_SWITCH", "id": 303410, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_SWITCH/", "logical_txt": "Kiinni", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Closed" }, "vfuse": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_VFUSE", "id": 303630, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_VFUSE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" } }, { "connection": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_BUS_CONNECTION", "id": 298830, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_BUS_CONNECTION/", "logical_txt": "Suoraan kiskoon", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "to rail" }, "description": "kuvaus", "fuse": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_FUSE", "id": 299250, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_FUSE/", "logical_txt": "50", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "50" }, "id": 1, "identification": "321", "premise": { "address": "https://keylight.example.com/api/v1/apartments/7305724", "capacity": 10, "connection": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_CONNECTION", "id": 302790, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_CONNECTION/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "contractor": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_CONTRACTOR", "id": 302810, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_CONTRACTOR/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "creation_date": "2018-02-20T14:35:33", "creator": "api@keypro.fi", "deployment_date": "2018-02-04", "ground": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_GROUND", "id": 302850, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_GROUND/", "logical_txt": "Vaaka Cu 16", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Vaaka Cu 16" }, "group_fuse": [ "https://keylight.example.com/api/v2/el_fuse/1/", "https://keylight.example.com/api/v2/el_fuse/11/" ], "guidance_address": "1", "guiding_type": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_GUIDING_TYPE", "id": 302890, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_GUIDING_TYPE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "height_accuracy": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "H_ACCURACY", "id": 117250, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "10 cm", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "10 cm" }, "id": 1201, "identification": "125", "installation_date": "2018-02-21", "installation_location": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "PREM_PLACEMENT", "id": 5401, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/PREM_PLACEMENT/", "logical_txt": "Kaappi", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Cabinet" }, "installation_year": 2019, "location": "SRID=3067;POINT Z (499139.6836480000056326 6705710.6719800001010299 0.0000000000000000)", "location_accuracy": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "LOCATION_ACCURACY", "id": 7981, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "1.0m" }, "main_fuse": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_FUSE", "id": 302830, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_FUSE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "manufacturer": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_MANUFACT", "id": 302910, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_MANUFACT/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "mapper": "Tester", "mapping_date": "2019-02-14", "mapping_method": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "MAPPING_METHOD", "id": 190, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Takymetri", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Tachymeter" }, "network_area": { "area_name": "Default EA", "division_name": "Default Division", "id": 1, "list_url": "https://keylight.example.com/api/v2/el_division/", "location": null }, "owner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "PREM_OWNER", "id": 287990, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/PREM_OWNER/", "logical_txt": "Keypro", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Keypro" }, "plan": null, "remarks": "kommentti", "renter": null, "shade": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_SHADE", "id": 302930, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_SHADE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "supplier": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_SUPPLIER", "id": 302950, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_SUPPLIER/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "surface": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_SURFACE", "id": 302970, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_SURFACE/", "logical_txt": "Ei määritelty", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Not specified" }, "survey_amount": "", "type": { "cost": null, "id": 11, "list_url": "https://keylight.example.com/api/v2/el_premisetype/", "manufacturer": "Tuntematon", "prem_type": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_PREM_TYPE", "id": 303010, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_PREM_TYPE/", "logical_txt": "Liikennevalokaappi", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Streetlight premise" }, "product_code": "Tuntematon", "type": "" }, "update_date": "2019-02-14T16:33:18", "updated_by": "api@keypro.fi", "usage_state": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "PREM_STATE", "id": 14601, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/PREM_STATE/", "logical_txt": "Käytössä", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "In use" } }, "switch": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_SWITCH", "id": 303390, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_SWITCH/", "logical_txt": "Auki", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "Open" }, "vfuse": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": true, "groupname": "EL_VFUSE", "id": 303450, "list_url": "https://keylight.example.com/api/v2/txt_constants/groupname/EL_VFUSE/", "logical_txt": "63", "num_value": 10.1, "num_value2": 20.2, "num_value3": 30.3, "num_value4": 40.4, "txt": "63" } } ], "Total": 8 } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "parameters": { "offsetParam": { "name": "offset", "in": "query", "description": "Offset to start returning results.", "schema": { "minimum": 0, "type": "integer" } }, "limitParam": { "name": "limit", "in": "query", "description": "Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.", "schema": { "minimum": 1, "type": "integer" } }, "filterParam": { "name": "__any of the object fields__", "in": "query", "description": "Filters list by selected object field value.\nSupports structured queries via +++__+++ delimiter.\nSupports ending keywords via +++__+++ delimiter:\n- For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull\n- For numerics: gt, lt, gte, lte, isnull\n- For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby\n**Examples:** `+++usage_state__txt__istartswith=in+++` ,\n`+++plan__state__txt__startswith=In+++` , `+++creation_date__gte=2019-01-02T15:32:01+++`,\n`+++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++`\nSupports exclusive queries by field value using a not-operator preceding the field lookup:\n**Examples:** `+++not__type__txt__istartswith=Tie+++` , `+++not__id=1390+++`\n", "schema": { "type": "string" } }, "orderParam": { "name": "orderby", "in": "query", "description": "Selects the object field to order the returned objects by.\nCan be used to sort in reverse order with '-' prefix.\nCan have several ordering rules separated by comma.\nCan be used only for object own fields and does not support structured queries.\n**Example:** `orderby=creator,-creation_date`\n", "schema": { "type": "string" } } }, "schemas": { "ElFuse": { "required": [ "switch", "fuse", "identification" ], "type": "object", "properties": { "connection": { "$ref": "#/components/schemas/ElFuseConnection" }, "description": { "type": "string", "description": "Electric Fuse description" }, "exceptional_guiding_type": { "$ref": "#/components/schemas/ElExceptionalGuidingType" }, "fuse": { "$ref": "#/components/schemas/ElFuseFuse" }, "guiding_type": { "$ref": "#/components/schemas/ElGuidingType" }, "id": { "type": "integer", "description": "Id of Electric fuse", "readOnly": true }, "identification": { "type": "string", "description": "Electric Fuse identification" }, "premise": { "$ref": "#/components/schemas/ElPremise" }, "switch": { "$ref": "#/components/schemas/ElSwitch" }, "vfuse": { "$ref": "#/components/schemas/ElVFuse" } } }, "ElFuseConnection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_BUS_CONNECTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection" }, "ElExceptionalGuidingType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_EXCEPTIONAL_GUIDING_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Exceptional guiding type" }, "ElFuseFuse": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_FUSE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Fuse" }, "ElGuidingType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_GUIDING_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Guiding Type" }, "ElPremise": { "required": [ "identification", "usage_state", "type" ], "type": "object", "properties": { "address": { "type": "string", "description": "Url to address for electric premises", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "capacity": { "type": "integer", "description": "Premises capacity" }, "connection": { "$ref": "#/components/schemas/ElPremConnection" }, "contractor": { "$ref": "#/components/schemas/ElPremContractor" }, "creation_date": { "type": "string", "description": "Date and time of creation", "format": "date-time", "readOnly": true }, "creator": { "type": "string", "description": "Name of premises creator", "readOnly": true }, "deployment_date": { "type": "string", "description": "Deployment date", "format": "date" }, "ground": { "$ref": "#/components/schemas/ElPremGround" }, "group_fuse": { "type": "array", "items": { "$ref": "#/components/schemas/ElFuse" }, "description": "Group fuse" }, "guidance_address": { "type": "string", "description": "Guidance address" }, "guiding_type": { "$ref": "#/components/schemas/ElPremGuidingType" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Identification" }, "installation_date": { "type": "string", "description": "Premises installation date", "format": "date" }, "installation_location": { "$ref": "#/components/schemas/ElPremPlacement" }, "installation_year": { "type": "integer", "description": "Premises installation year" }, "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "location_accuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "main_fuse": { "$ref": "#/components/schemas/ElPremFuse" }, "manufacturer": { "$ref": "#/components/schemas/ElPremManufacturer" }, "mapper": { "type": "string", "description": "Name of mapper" }, "mapping_date": { "type": "string", "description": "Mapping date", "format": "date" }, "mapping_method": { "$ref": "#/components/schemas/MappingMethod" }, "network_area": { "$ref": "#/components/schemas/ElDivision" }, "owner": { "$ref": "#/components/schemas/ElPremOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "$ref": "#/components/schemas/ElPremRenter" }, "safety_distance": { "$ref": "#/components/schemas/SafetyDistance" }, "shade": { "$ref": "#/components/schemas/ElPremShade" }, "supplier": { "$ref": "#/components/schemas/ElPremSupplier" }, "surface": { "$ref": "#/components/schemas/ElPremSurface" }, "surge_install_date": { "type": "string", "description": "Surge protector installation date. Available from product version 3.2.22", "format": "date" }, "surge_protector": { "$ref": "#/components/schemas/ElSurgeProtector" }, "survey_amount": { "type": "string", "description": "Survey amount" }, "type": { "$ref": "#/components/schemas/ElPremiseType" }, "update_date": { "type": "string", "description": "Date and time of last change", "format": "date-time", "readOnly": true }, "updated_by": { "type": "string", "description": "Name of last updater", "readOnly": true }, "usage_state": { "$ref": "#/components/schemas/ElPremUsageState" } } }, "ElSwitch": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_SWITCH" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Switch" }, "ElVFuse": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_VFUSE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "VFuse" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "Angle": { "type": "number", "description": "Angle in degrees. 0 is north.\nInput accepts values from -360 to 360. \nNegative values are converted to positive (-90 -> 270).\nReturned as 0-360 (exclusive). \n360 converts to 0.\n", "format": "float", "example": 138.5 }, "ElPremConnection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_CONNECTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises connection" }, "ElPremContractor": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_CONTRACTOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises contractor" }, "ElPremGround": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_GROUND" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises ground" }, "ElPremGuidingType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_GUIDING_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises guiding type" }, "HeightAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "H_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Height accuracy" }, "ElPremPlacement": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_PLACEMENT" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises placement" }, "LocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "LOCATION_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Location accuracy" }, "ElPremFuse": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_FUSE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises fuse" }, "ElPremManufacturer": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_MANUFACT" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises manufacturer" }, "MappingMethod": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MAPPING_METHOD" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Mapping method" }, "ElDivision": { "type": "object", "properties": { "id": { "type": "integer", "description": "Unique id of division", "readOnly": true }, "list_url": { "type": "string", "description": "Url to fetch all divisions", "format": "url", "readOnly": true }, "location": { "type": "string", "description": "Location of Division", "format": "ewkt", "readOnly": true }, "name": { "type": "string", "description": "Name of division", "readOnly": true } }, "description": "Division" }, "ElPremOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Owner of object" }, "Plan": { "required": [ "state", "type", "name" ], "type": "object", "properties": { "Branch_line": { "$ref": "#/components/schemas/DHCPDN" }, "Center_measure": { "$ref": "#/components/schemas/DHCPDN" }, "Construction": { "$ref": "#/components/schemas/PlanConstruction" }, "Excavation": { "$ref": "#/components/schemas/PlanExcavation" }, "Limiter": { "$ref": "#/components/schemas/DHCPLimiter" }, "Plan_piping": { "$ref": "#/components/schemas/PlanPiping" }, "agreed_delivery_date": { "type": "string", "description": "Agreed Delivery Date. Activated on request by customer.", "format": "date-time" }, "area_description": { "type": "string", "description": "Area Description. Activated on request by customer." }, "begin_date": { "type": "string", "description": "Begin Date", "format": "date-time" }, "construction_year": { "type": "integer", "description": "Contact Name. Not shown when displaying plan details in related objects. Activated on request by customer." }, "contact_email": { "type": "string", "description": "Contact Email Address. Activated on request by customer." }, "contact_name": { "type": "string", "description": "Contact Name. Activated on request by customer." }, "contact_phone": { "type": "string", "description": "Contact phone number. Activated on request by customer." }, "cp_identification": { "type": "string", "description": "Consumer Point Identification. Activated on request by customer." }, "created_by": { "type": "string", "description": "Created by" }, "created_date": { "type": "string", "description": "Create Date", "format": "date-time" }, "customer_contact_date": { "type": "string", "description": "Customer Contact Date. Activated on request by customer.", "format": "date-time" }, "description": { "type": "string", "description": "Description" }, "desired_delivery_date": { "type": "string", "description": "Desired Delivery Date. Activated on request by customer.", "format": "date-time" }, "district_area": { "$ref": "#/components/schemas/DistrictArea" }, "duration": { "type": "integer", "description": "Duration. Activated on request by customer." }, "expire_date": { "type": "string", "description": "Expire Date", "format": "date-time" }, "first_contact": { "type": "string", "description": "First contact person for plan. Not shown when displaying plan details in related objects. Activated on request by customer." }, "id": { "type": "integer", "description": "Unique id of plan", "readOnly": true }, "implementation_begin_end": { "type": "string", "description": "Implementation Date. Activated on request by customer.", "format": "date-time" }, "implementation_date": { "type": "string", "description": "Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "latest_implementation_date": { "type": "string", "description": "Latest Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "list_url": { "type": "string", "description": "URL to the list of all Plans. Only shown when displaying plan details in related objects.", "format": "url" }, "location": { "type": "string", "description": "Geographical location. As EWKT representation", "format": "ewkt" }, "louhi_id": { "type": "string", "description": "Louhi ID. Activated on request by customer." }, "modifications": { "type": "string", "description": "Modifications. Not shown when displaying plan details in related objects. Activated on request by customer." }, "name": { "type": "string", "description": "Name of Plan" }, "network": { "$ref": "#/components/schemas/PlanNetworkType" }, "network_owner": { "$ref": "#/components/schemas/PlanNetworkOwner" }, "offer_accepted_date": { "type": "string", "description": "Offer Accepted Date. Activated on request by customer.", "format": "date-time" }, "offer_id": { "type": "string", "description": "Offer ID. Activated on request by customer." }, "parentplan": { "type": "string", "description": "URL to the plan of which the plan is part of (subplan). Available from version 3.2.24. Activated on request by customer.", "format": "url" }, "plan_remark": { "type": "string", "description": "Plan remark. Not shown when displaying plan details in related objects. Activated on request by customer." }, "plumbing_start_date": { "type": "string", "description": "Plumbing Start Date. Activated on request by customer.", "format": "date-time" }, "property_address": { "type": "string", "description": "Property address. Not shown when displaying plan details in related objects. Activated on request by customer." }, "publicity": { "$ref": "#/components/schemas/PlanPublicity" }, "state": { "$ref": "#/components/schemas/PlanState" }, "total_cost": { "type": "number", "description": "Sum of cost for all related objects for the plan. Not shown when displaying plan details in related objects. Activated on request by customer.", "format": "float" }, "type": { "$ref": "#/components/schemas/PlanType" }, "updated_by": { "type": "string", "description": "Updated by" }, "updated_date": { "type": "string", "description": "Update Date", "format": "date-time" }, "work_activities": { "type": "string", "description": "Work Activities. Activated on request by customer." }, "work_phase": { "$ref": "#/components/schemas/PlanWorkPhase" }, "work_project": { "type": "string", "description": "Work Project. Activated on request by customer." }, "work_type": { "$ref": "#/components/schemas/PlanWorkType" }, "work_type_main": { "$ref": "#/components/schemas/PlanWorkTypeMain" }, "work_type_sub": { "$ref": "#/components/schemas/PlanWorkTypeSub" } }, "description": "Plan" }, "ElPremRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises renter" }, "SafetyDistance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SAFETY_DISTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Safety Distance" }, "ElPremShade": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_SHADE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises shade" }, "ElPremSupplier": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_SUPPLIER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises supplier" }, "ElPremSurface": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_SURFACE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Premises surface" }, "ElSurgeProtector": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SURGE_PROTECTOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Surge protector" }, "ElPremiseType": { "type": "object", "properties": { "cost": { "type": "string", "description": "Costs" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "list_url": { "type": "string", "description": "Url to fetch all objects", "format": "url" }, "manufacturer": { "type": "string", "description": "Electric Premises manufacturer" }, "prem_type": { "$ref": "#/components/schemas/ElPremiseTypeType" }, "product_code": { "type": "string", "description": "Product code" }, "type": { "type": "string" } }, "description": "Electric Premises type" }, "ElPremUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREMISE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Usage state" }, "DHCPDN": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_DN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Duct Diameter" }, "PlanConstruction": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_CONSTRUCTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Construction" }, "PlanExcavation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_EXCAVATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Excavation" }, "DHCPLimiter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_LIMITER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Limiter" }, "PlanPiping": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PIPING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Piping" }, "DistrictArea": { "type": "object", "properties": { "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "name": { "type": "string", "description": "Name of District Area" } }, "description": "District Area" }, "PlanNetworkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Type" }, "PlanNetworkOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Owner" }, "PlanPublicity": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PUBLICITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Publicity" }, "PlanState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan state" }, "PlanType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan type" }, "PlanWorkPhase": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_PHASE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Phase" }, "PlanWorkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type" }, "PlanWorkTypeMain": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_MAIN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Main" }, "PlanWorkTypeSub": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_SUB" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Sub" }, "ElPremiseTypeType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PREM_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Type of the electric premise type" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````